#version 450

layout (location = 0) in vec4 v_color;
layout (location = 1) in vec4 v_texcoord;

layout (location = 0) out vec4 FragColor;

layout (binding = 0) uniform sampler2D tex;

void main()
{
  vec2 uv = v_texcoord.xy;
  uv.y *= -1.0;
  vec4 c0 = texture(tex, uv);

  FragColor = c0 * v_color;
}
